View Issue Details

IDProjectCategoryView StatusLast Update
0001930XdebugStep Debuggingpublic2021-03-11 14:00
Reporterjepster Assigned Toderick  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformMacBook Pro late 2019OSMacOSOS VersionCatalina
Product Version3.0.1 
Target Version3.0devFixed in Version3.0.3 
Summary0001930: No local variables with trigger and xdebug_break()
DescriptionThanks so much for Xdebug 3 and your amazing work! Would you please answer me a question? I am using the latest PhpStorm version 2020.3 (MacOS) + PHP 7.3.25 + Xdebug 3.0.1. But the debugger does not show me local variables with Xdebug 3 anymore. See attached screenshot. Do you know why?
Steps To ReproduceCreate the following PHP script and step trough it. You won't see any local variables. See attached Gif file.

<?php
xdebug_break();
$local = 1;

$local_two = 'two';

xdebug_break();
TagsNo tags attached.
Operating SystemMacOS Catalina + Big Sur
PHP Version7.3.20-7.3.29

Activities

jepster

2021-01-04 15:14

reporter  

phpstorm.gif (490,807 bytes)

jepster

2021-01-04 15:15

reporter   ~0005634

php -v returns me the following:

PHP 7.3.25 (cli) (built: Dec 6 2020 20:09:57) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.3.25, Copyright (c) 1998-2018 Zend Technologies
    with Zend OPcache v7.3.25, Copyright (c) 1999-2018, by Zend Technologies
    with Xdebug v3.0.1, Copyright (c) 2002-2020, by Derick Rethans

derick

2021-01-08 13:20

administrator   ~0005636

https://github.com/xdebug/xdebug/pull/720

jepster

2021-03-11 14:00

reporter   ~0005708

Thank you Derick! I can confirm, that this issue is solved in Xdebug 3.0.3. I have installed it via MacPorts and it works fine. See https://ports.macports.org/?search=xdebug&search_by=name.

Issue History

Date Modified Username Field Change
2021-01-04 15:14 jepster New Issue
2021-01-04 15:14 jepster File Added: phpstorm.gif
2021-01-04 15:15 jepster Note Added: 0005634
2021-01-08 13:19 derick Target Version => 3.0dev
2021-01-08 13:19 derick Summary Debugger does not show local variables => No local variables with trigger and xdebug_break()
2021-01-08 13:19 derick Steps to Reproduce Updated
2021-01-08 13:20 derick Note Added: 0005636
2021-01-11 11:21 derick Assigned To => derick
2021-01-11 11:21 derick Status new => closed
2021-01-11 11:21 derick Resolution open => fixed
2021-01-11 11:21 derick Fixed in Version => 3.0.3
2021-03-11 14:00 jepster Note Added: 0005708